Subject: Re: [DRAFT] Branching and merging with git

From: "J. Bruce Fields" <[email-masked]>
Date: Tue, 9 Jan 2007 23:15:17 -0500

On Tue, Jan 09, 2007 at 11:58:28AM -0500, Theodore Tso wrote:
> If what we're going to do is a "git user's manual", I'd recommend
> keeping the 2-3 pages in the manual, and do it via a link to some
> other document.  One of the issues with the git documentation is that
> it's *too* branchy, and some the branches go off to some truly scary
> low-level implementation detail.  If we are going to assume that isn't
> going to change (and I am glad that the low-level details are
> documented, and am not advocating that they be deleted), then keeping
> a user-friendly QuickStart in the main document might not be a bad
> decision.

Sounds reasonable.

I'll probably set this aside a few days, then do some more work on it
this weekend.  (Patches welcomed, though--source is in the master branch
of git://linux-nfs.org/~bfields/git.git.)

--b.